{% extends "base.twig" %}

{% block content %}
	<article class="single-article post-type-{{ post.post_type }} color-{{ post_data.color }} {{ large_banner ? 'banner-large' : 'banner-classic' }}" id="post-{{ post.ID }}">
		<div class="container">
			<div class="breadcrumb">{{ breadcrumb }}</div>
		</div>
        {% if large_banner and post.thumbnail %}
			<div class="article-banner-background">
				<div class="article-banner-container">
					<div class="article-banner" style="background-image: url({{post.thumbnail.src}})">
						<div class="container">
							<div class="row">
								<div class="col-md-6">
									<div class="article-infos d-none d-md-block">
										<span class="article-category">{{ post_data.main_category }}</span><br/>
										<h1 class="article-title">{{ post.title }}</h1><br/>
										<p class="article-meta">{{ post.date }} par {{ post.author }} - <span class="categories">{{ post_data.sub_categories|join }}</span></p>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				<span class="article-category d-md-none">{{ post_data.main_category }}</span>
			</div>
			<div class="container article-infos-container d-md-none">
				<div class="article-infos">

					<h1 class="article-title">{{ post.title }}</h1><br/>
					<p class="article-meta">{{ post.date }} par {{ post.author }} - <span class="categories">{{ post_data.sub_categories|join }}</span></p>
				</div>
			</div>

        {% else %}
            {% if post.thumbnail %}
				<div class="banner-container container">
					<div class="article-banner-background">
						<div class="article-banner-container">
							<div class="article-banner" style="background-image: url({{post.thumbnail.src}})">
								<span class="article-category">{{ post_data.main_category }}</span><br/>
							</div>
						</div>
					</div>
				</div>
            {% endif %}
			<div class="container article-infos-container">
				{% if post.thubmnail != null %}
					<span class="article-category">{{ post_data.main_category }}</span><br/>
                {% endif %}
				<div class="article-infos">
					<h1 class="article-title">{{ post.title }}</h1><br/>
					<p class="article-meta">{{ post.date }} par {{ post.author }} - <span class="categories">{{ post_data.sub_categories|join }}</span></p>
				</div>
			</div>

        {% endif %}



		<div class="container">
			<section class="article-content">
				<div class="article-body">
                    {{post.content}}
				</div>
			</section>

			{% if post.author.acf_name != '' %}
			<section class="article-author">
				<div class="author-image-container" style="background-image: url({{ author.acf_photo }});"></div>
				<div class="author-infos">
					<h3 class="author-name">Par <span class="author">{{ author.acf_name }}</span></h3>
					<p class="author-description">{{ author.acf_description }}</p>
						<ul class="author-social">
							{% if author.acf_social_twitter %}
								<li class="twitter"><a href="{{ author.acf_social_twitter }}"></a></li>
							{% endif %}
                            {% if author.acf_social_facebook %}
								<li class="facebook"><a href="{{ author.acf_social_facebook }}"></a></li>
                            {% endif %}
                            {% if author.acf_social_twitch %}
								<li class="twitch"><a href="{{ author.acf_social_twitch }}"></a></li>
                            {% endif %}
                            {% if author.acf_social_instagram %}
								<li class="instagram"><a href="{{ author.acf_social_instagram }}"></a></li>
                            {% endif %}
                            {% if author.acf_social_google %}
								<li class="google"><a href="{{ author.acf_social_google }}"></a></li>
                            {% endif %}
                            {% if author.acf_social_site %}
								<li class="site"><a href="{{ author.acf_social_site }}"></a></li>
                            {% endif %}
						</ul>
				</div>
			</section>
			{% endif %}
		</div>

		<hr />

        {% if similars %}
			<div class="container">
				<div class="similar-articles">
					<h2 class="grey-title">Articles similaires</h2>
					<div class="slideshow">
                        {% for post in similars %}
                            {% include ['tease.twig'] with {'classes': ''} %}
                        {% endfor %}
					</div>
				</div>
			</div>
        {% endif %}

		<div class="container">
			<h2 class="grey-title">Commentaires</h2>
			<div class="comments">
                {{ function('comments_template') }}
			</div>
		</div>



	</article>

{% endblock %}
